%
% mbr.mms -- the master boot record
%

	LOC	#0000000000001000

% $0 I/O base address
% $1 temporary value
% $2 character
% $3 pointer to string
% $4 return address

Main	SETH	$0,#8001
	GETA	$3,Hello
Loop	LDBU	$2,$3
	CMP	$1,$2,0
Stop	BZ	$1,Stop
	GETA	$4,Out
	GO	$4,$4,0
	ADDU	$3,$3,1
	JMP	Loop

Out	LDOU	$1,$0,16
	AND	$1,$1,#1
	BZ	$1,Out
	STOU	$2,$0,24
	GO	$4,$4,0

Hello	BYTE	"Hello, world!",#0D,#0A,#00

	LOC	#00000000000011FE
Sign	BYTE	#55,#AA
