/*
 * memory.h -- main memory simulation
 */


#ifndef _MEMORY_H_
#define _MEMORY_H_


#include "common.h"


octa memoryRead64(octa pAddr);
tetra memoryRead32(octa pAddr);
wyde memoryRead16(octa pAddr);
byte memoryRead8(octa pAddr);
void memoryWrite64(octa pAddr, octa data);
void memoryWrite32(octa pAddr, tetra data);
void memoryWrite16(octa pAddr, wyde data);
void memoryWrite8(octa pAddr, byte data);

void memoryReset(void);
void memoryInit(void);
void memoryExit(void);


#endif /* _MEMORY_H_ */
