/*
 * timer.h -- a timer to keep the simulation paced
 */


#ifndef _TIMER_H_
#define _TIMER_H_


#include "common.h"


#define NUMBER_TIMERS	10	/* total number of simulation timers */


void timerTick(void);
void timerStart(int msec, void (*callback)(void));

void timerReset(void);
void timerInit(void);
void timerExit(void);


#endif /* _TIMER_H_ */
