%
% rom06.mms - subroutine linkage tests
%

	LOC	#8000FFFF00000000

Main	JMP	Start

%---------------------------------------------------------------

	% subroutine with no output
Test0a	POP	0,0

	% X=1, L=5 --> L=3, ($2 $3 $4) appear as ($0 $1 $2) in subroutine
	% hole should disappear on return
Test0	GET	$255,rJ
	% ----  start  ----
	SETL	$0,#2000
	SETL	$1,#2001
	SETL	$2,#2002
	SETL	$3,#2003
	SETL	$4,#2004
	PUSHJ	$1,Test0a
	% ----  end    ----
	PUT	rJ,$255
	POP	0,0

%---------------------------------------------------------------

	% subroutine with one output
Test1a	SETL	$0,#1111
	POP	1,0

	% X=1, L=5 --> L=3, ($2 $3 $4) appear as ($0 $1 $2) in subroutine
	% hole should get value #1111 on return
Test1	GET	$255,rJ
	% ----  start  ----
	SETL	$0,#2000
	SETL	$1,#2001
	SETL	$2,#2002
	SETL	$3,#2003
	SETL	$4,#2004
	PUSHJ	$1,Test1a
	% ----  end    ----
	PUT	rJ,$255
	POP	0,0

%---------------------------------------------------------------

	% subroutine with two outputs
Test2a	SETL	$0,#1111
	SETL	$1,#2222
	POP	2,0

	% X=1, L=5 --> L=3, ($2 $3 $4) appear as ($0 $1 $2) in subroutine
	% hole should get value #2222 on return
Test2	GET	$255,rJ
	% ----  start  ----
	SETL	$0,#2000
	SETL	$1,#2001
	SETL	$2,#2002
	SETL	$3,#2003
	SETL	$4,#2004
	PUSHJ	$1,Test2a
	% ----  end    ----
	PUT	rJ,$255
	POP	0,0

%---------------------------------------------------------------

	% subroutine with five outputs
Test3a	SETL	$0,#1111
	SETL	$1,#2222
	SETL	$2,#3333
	SETL	$3,#4444
	SETL	$4,#5555
	POP	5,0

	% X=1, L=5 --> L=3, ($2 $3 $4) appear as ($0 $1 $2) in subroutine
	% hole should get value #5555 on return
Test3	GET	$255,rJ
	% ----  start  ----
	SETL	$0,#2000
	SETL	$1,#2001
	SETL	$2,#2002
	SETL	$3,#2003
	SETL	$4,#2004
	PUSHJ	$1,Test3a
	% ----  end    ----
	PUT	rJ,$255
	POP	0,0

%---------------------------------------------------------------

Start	SETL	$0,#1000
	SETL	$1,#1001
	SETL	$2,#1002
	SETL	$3,#1003
	SETL	$4,#1004
	SETL	$5,#1005
	PUSHJ	$6,Test0
	PUSHJ	$6,Test1
	PUSHJ	$6,Test2
	PUSHJ	$6,Test3
Stop	JMP	Stop
