/*
 * kl.h --
 */


#ifndef _KL_H_
#define _KL_H_


#define IO_BASE		0xFF800000
#define IO_SIZE		0x00010000
#define TERMINAL_BASE	(IO_BASE + 1 * IO_SIZE)

#define TERM_RCVR_CTRL	(TERMINAL_BASE + 0)
#define TERM_RCVR_DATA	(TERMINAL_BASE + 4)
#define TERM_XMTR_CTRL	(TERMINAL_BASE + 8)
#define TERM_XMTR_DATA	(TERMINAL_BASE + 12)

#define TERM_RCVR_RDY	0x01	/* receiver has a character */
#define TERM_RCVR_IEN	0x02	/* enable receiver interrupt */

#define TERM_XMTR_RDY	0x01	/* transmitter accepts a character */
#define TERM_XMTR_IEN	0x02	/* enable transmitter interrupt */


void putchar(int c);


#endif /* _KL_H_ */
